Cannot install updates due to broken dependency

cannot install updates due to broken dependency:
installing nvidia-utils (1:415.27-1) breaks dependency ‘nvidia-utils=1:415,25’

I have switched to open source drivers and tried to de-select the nvidia-utils install in the AUR updates, but still get an error message.

Any thoughts?

Can we see the more of the output from the update?

that’s the only error message I get. what should i put in the terminal? I cannot upgrade to kernel 4.19 or 4.20 either. I am using 4.18.20. thanks for the assistance.

In the terminal:

sudo pacman -Syyu

Then paste the whole output here.

When you pase it into the forum, be sure to format the output as “preformatted text” using the button in the toolbar so we can read it.

can you return

sudo mhwd-kernel -li

here we go:

[manjaro@manjaro-pc ~]$ sudo pacman -Syyuu
[sudo] password for manjaro:
:: Synchronizing package databases…
core 148.6 KiB 990K/s 00:00 [########################] 100%
extra 1865.8 KiB 8.80M/s 00:00 [########################] 100%
community 5.2 MiB 15.8M/s 00:00 [########################] 100%
multilib 184.4 KiB 10.6M/s 00:00 [########################] 100%
archlinuxfr 11.9 KiB 1700K/s 00:00 [########################] 100%
:: Starting full system upgrade…
:: Replace libmariadbclient with extra/mariadb-libs? [Y/n] y
resolving dependencies…
looking for conflicting packages…
error: failed to prepare transaction (could not satisfy dependencies)
:: installing nvidia-utils (1:415.27-1) breaks dependency ‘nvidia-utils=1:415.25’ required by linux418-nvidia
[manjaro@manjaro-pc ~]$

It seems you have installed an AUR nvidia package, which conflicts.
Depending what you have done, a proper solution maybe proposed, but we need info first.

pacman -Qs nvidia
inxi -SGxxxz
mhwd -li
1 Like

also:
[manjaro@manjaro-pc ~]$ sudo mhwd-kernel -li
Currently running: 4.18.20-1-MANJARO (linux418)
The following kernels are installed in your system:

  • linux414
  • linux418
  • linux414-rt
  • linux416-rt
    [manjaro@manjaro-pc ~]$

here is some more:
[manjaro@manjaro-pc ~]$ pacman -Qs nvidia
local/lib32-libvdpau 1.1.1-3
Nvidia VDPAU library
local/lib32-nvidia-utils 1:415.25-1
NVIDIA drivers utilities (32-bit)
local/libvdpau 1.1.1+3+ga21bf7a-1
Nvidia VDPAU library
local/linux414-nvidia 1:415.25-4 (linux414-extramodules)
NVIDIA drivers for linux.
local/linux418-nvidia 1:415.25-1 (linux418-extramodules)
NVIDIA drivers for linux.
local/mhwd-nvidia 1:415.25-1
MHWD module-ids for nvidia 415.25
local/mhwd-nvidia-340xx 340.107-1
MHWD module-ids for nvidia 340.107
local/mhwd-nvidia-390xx 390.87-1
MHWD module-ids for nvidia 390.87
local/nvidia-utils 1:415.25-1
NVIDIA drivers utilities
local/xf86-video-nouveau 1.0.15-3 (xorg-drivers)
Open Source 2D acceleration driver for nVidia cards
[manjaro@manjaro-pc ~]$ inxi -SGxxxz
System:
Host: manjaro-pc Kernel: 4.18.20-1-MANJARO x86_64 bits: 64 compiler: gcc
v: 8.2.1 Desktop: KDE Plasma 5.14.5 tk: Qt 5.12.0 wm: kwin_x11 dm: SDDM
Distro: Manjaro Linux
Graphics:
Device-1: NVIDIA GM204 [GeForce GTX 970] vendor: ASUSTeK driver: nvidia
v: 415.25 bus ID: 01:00.0 chip ID: 10de:13c2
Display: x11 server: X.Org 1.20.3 driver: nvidia compositor: kwin_x11
resolution: 2560x1440~60Hz
OpenGL: renderer: GeForce GTX 970/PCIe/SSE2 v: 4.6.0 NVIDIA 415.25
direct render: Yes
[manjaro@manjaro-pc ~]$ mhwd -li

you have to change first kernel

sudo mhwd-kernel -i linux419

reboot , pres Esc , change kernel boot

after you will

sudo mhwd-kernel -r linux418 

see stable announce

1 Like

Reboot to kernel 4.14 and remove kernel 4.18, so you "ll be able to update (probably…)

1 Like

ill give all this a try. i have some errands i have to run. thanks all for all the help. manjaro is a great community!!!

I suugest to read this, also for formatting text

For what are you using that repository? yaourt is already in the repository (and not much maintained)

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.